from biogeme import *
from headers import *
from loglikelihood import *
from statistics import *

# Parameters to be estimated
BETA_DATA 	= Beta('BETA_DATA',0,-1000,1000,0)
BETA_HACKATHON 	= Beta('BETA_HACKATHON',0,-1000,1000,0)
BETA_TRAINING	= Beta('BETA_TRAINING',0,-1000,1000,0)
BETA_PRIVACY	= Beta('BETA_PRIVACY',0,-1000,1000,0)

V1 = DataA * BETA_DATA + HackathonA * BETA_HACKATHON + TrainingA * BETA_TRAINING + PrivacyA * BETA_PRIVACY
V2 = DataB * BETA_DATA + HackathonB * BETA_HACKATHON + TrainingB * BETA_TRAINING + PrivacyB * BETA_PRIVACY

# Associate utility functions with the numbering of alternatives
V = {1: V1,
     2: V2}

AV1 = 1
AV2 = 1

# Associate the availability conditions with the alternatives
av = {1: AV1,
      2: AV2}

# The choice model is a logit, with availability conditions
logprob = bioLogLogit(V,av,CHOICE)

# Defines an itertor on the data
rowIterator('obsIter') 

# DEfine the likelihood function for the estimation
BIOGEME_OBJECT.ESTIMATE = Sum(logprob,'obsIter')

# Statistics

nullLoglikelihood(av,'obsIter')
choiceSet = [1,2]
cteLoglikelihood(choiceSet,CHOICE,'obsIter')
availabilityStatistics(av,'obsIter')