from biogeme import *
from headers import *
from loglikelihood import *
from statistics import *

# Parameters to be estimated
BETA_DATA_RAW	= Beta('BETA_DATA_RAW',0,-1000,1000,0)
BETA_DATA_FIGURE 	= Beta('BETA_DATA_FIGURE',0,-1000,1000,0)
BETA_DATA_SERVICE 	= Beta('BETA_DATA_SERVICE',0,-1000,1000,0)
BETA_HACKATHON 	= Beta('BETA_HACKATHON',0,-1000,1000,0)
BETA_TRAINING	= Beta('BETA_TRAINING',0,-1000,1000,0)
BETA_PRIVACY_YEAR	= Beta('BETA_PRIVACY_YEAR',0,-1000,1000,0)
BETA_PRIVACY_QUARTER	= Beta('BETA_PRIVACY_QUARTER',0,-1000,1000,0)
BETA_PRIVACY_MONTH	= Beta('BETA_PRIVACY_MONTH',0,-1000,1000,0)

V1 = DataRawA * BETA_DATA_RAW + DataFigureA * BETA_DATA_FIGURE + DataServiceA * BETA_DATA_SERVICE 
+ HackathonA * BETA_HACKATHON + TrainingA * BETA_TRAINING + PrivacyYearA * BETA_PRIVACY_YEAR 
+ PrivacyQuarterA * BETA_PRIVACY_QUARTER + PrivacyMonthA * BETA_PRIVACY_MONTH
V2 = DataRawB * BETA_DATA_RAW + DataFigureB * BETA_DATA_FIGURE + DataServiceB * BETA_DATA_SERVICE 
+ HackathonB * BETA_HACKATHON + TrainingB * BETA_TRAINING + PrivacyYearB * BETA_PRIVACY_YEAR 
+ PrivacyQuarterB * BETA_PRIVACY_QUARTER + PrivacyMonthB * BETA_PRIVACY_MONTH

# Associate utility functions with the numbering of alternatives
V = {1: V1,
     2: V2}

AV1 = 1
AV2 = 1

# Associate the availability conditions with the alternatives
av = {1: AV1,
      2: AV2}

# The choice model is a logit, with availability conditions
logprob = bioLogLogit(V,av,CHOICE)

# Defines an itertor on the data
rowIterator('obsIter') 

# DEfine the likelihood function for the estimation
BIOGEME_OBJECT.ESTIMATE = Sum(logprob,'obsIter')

# Statistics

nullLoglikelihood(av,'obsIter')
choiceSet = [1,2]
cteLoglikelihood(choiceSet,CHOICE,'obsIter')
availabilityStatistics(av,'obsIter')